/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/Features_DCC_v3.2.1.xml" }
 */

import { select, toTextArr, toTextContentArr } from "../../util";
import { DCCDocument, ItemListType } from "../../../src";

const base = "/dcc:digitalCalibrationCertificate/dcc:administrativeData/dcc:items";
const xpath = {
  items: {
    manufacturer: {
      name: {
        content: `${base}/dcc:manufacturer/dcc:name/dcc:content`,
      },
    },
  },
};

describe("Features_DCC_v3.2.1: ItemListType", () => {
  let dcc: DCCDocument, items: ItemListType, dom;

  beforeEach(() => {
    ({ dcc, dom } = recreateEnv());
    items = dcc.digitalCalibrationCertificate.administrativeData.items;
  });

  test("should get correct items manufacturer name from XML", () => {
    // get expected list from example xml
    const expected = <Element[]>select(xpath.items.manufacturer.name.content, dom);
    expect(toTextArr(items.manufacturer.name.content)).toEqual(toTextContentArr(expected));
  });

  /* TODO: setters */
});
