import { DCCDocument, RespPersonType } from "../../../../src";
import { select, undefinedIfEmpty } from "../../../util";
import { testContactType } from "./ContactType";

export const testRespPersonType = (base: string, respPersonTypeFn: (dcc: DCCDocument) => RespPersonType) => {
  const xpath = {
    person: `${base}/dcc:person`,
    mainSigner: `string(${base}/dcc:mainSigner)`,
  };

  describe("RespPersonType", () => {
    let dcc: DCCDocument, respPersonType: RespPersonType, dom;
    ({ dcc, dom } = recreateEnv());

    beforeEach(() => {
      ({ dcc, dom } = recreateEnv());
      respPersonType = respPersonTypeFn(dcc);
    });

    testContactType(xpath.person, (dcc) => respPersonTypeFn(dcc).person);

    test("should get correct responsible person main signer flag from XML", () => {
      expect(respPersonType.mainSigner?._text).toBe(undefinedIfEmpty(select(xpath.mainSigner, dom)));
    });

    /* TODO: setters */
  });
};
