import { select } from "../../../util";
import { testStatementMetaDataType } from "./StatementMetaDataType";
import { DCCDocument, StatementListType } from "../../../../src";

export const testStatementListType = (base, statementListTypeFn: (dcc: DCCDocument) => StatementListType) => {
  const xpath = {
    statement: `${base}/dcc:statement`,
  };

  describe("StatementListType", () => {
    const { dom } = recreateEnv();

    const expectedStatements = <Element[]>select(xpath.statement, dom);
    for (let i = 0; i < expectedStatements.length; i++) {
      testStatementMetaDataType(i, `${xpath.statement}[${i + 1}]`, (dcc) => statementListTypeFn(dcc).statement[i]);
    }
  });
};
